#!/bin/sh

# This script is used for Podman network environment, auto detect and replace the docker nameserver IP 127.0.0.11

cat /etc/resolv.conf
export NAMESERVER=$(cat /etc/resolv.conf|grep -im 1 '^nameserver' |cut -d ' ' -f2)
echo Use $NAMESERVER as Nginx resolver

echo Copying nginx config...
cp /etc/nginx/nginx.conf.xpert /etc/nginx/nginx.conf
sed -i "s/127.0.0.11/$NAMESERVER/" /etc/nginx/nginx.conf

echo Using nginx config:
cat /etc/nginx/nginx.conf
